﻿namespace WarmlyLocomotove
{
    /// <summary>
    /// Класс-наследник от класса-сущности локомотива (усложнённый локомотив/тепловоз)
    /// </summary>
    internal class EntityWarmlyLocomotive : EntityLocomotive
    {
        /// <summary>
        /// Дополнительный цвет
        /// </summary>
        public Color AdditionalColor { get; set; }
        /// <summary>
        /// Признак наличия трубы
        /// </summary>
        public bool HasPipe { get; private set; }
        /// <summary>
        /// Признак наличия топливного бака
        /// </summary>
        public bool HasFuelTank { get; private set; }
        /// <summary>
        /// Инициализация свойств усложнённого локомотива (тепловоза)
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес</param>
        /// <param name="bodyColor">Цвет кузова</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="hasPipe">Признак наличия трубы</param>
        /// <param name="hasFuelTank">Признак наличия топливного бака</param>
        public EntityWarmlyLocomotive(int speed, float weight, Color bodyColor, Color additionalColor, bool hasPipe, bool hasFuelTank) : base (speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            HasPipe = hasPipe;
            HasFuelTank = hasFuelTank;
        }
    }
}
